package com.ruoyi.system.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 岗位表 sys_post
 * 
 * @author ruoyi
 */
public class SysPost extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 岗位序号 */
    @Excel(name = "岗位序号", cellType = ColumnType.NUMERIC)
    private Long postId;

    /** 岗位名称 */
    @Excel(name = "岗位名称")
    private String postName;

    /** 岗位排序 */
    @Excel(name = "岗位排序")
    private Integer postSort;

    /** 工作地点 */
    @Excel(name = "工作地点")
    private String workSpot;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String workDuty;
    private Integer postDel;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getPostDel() {
        return postDel;
    }

    public void setPostDel(Integer postDel) {
        this.postDel = postDel;
    }

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 用户是否存在此岗位标识 默认不存在 */
    private boolean flag = false;

    public Long getPostId()
    {
        return postId;
    }

    public void setPostId(Long postId)
    {
        this.postId = postId;
    }

    public String getWorkSpot()
    {
        return workSpot;
    }

    public void setWorkSpot(String workSpot)
    {
        this.workSpot = workSpot;
    }

    public void setWorkDuty(String workDuty)
    {
        this.workDuty = workDuty;
    }
    @NotBlank(message = "工作内容不能为空")
    @Size(min = 1, max = 50, message = "工作内容输入超出最大长度限制（50位）")
    public String getWorkDuty()
    {
        return workDuty;
    }

    @NotBlank(message = "岗位名称不能为空")
    @Size(min = 1, max = 10, message = "岗位名称输入超出最大长度限制（10位）")
    public String getPostName()
    {
        return postName;
    }

    public void setPostName(String postName)
    {
        this.postName = postName;
    }

    public Integer getPostSort()
    {
        return postSort;
    }

    public void setPostSort(Integer postSort)
    {
        this.postSort = postSort;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public boolean isFlag()
    {
        return flag;
    }

    public void setFlag(boolean flag)
    {
        this.flag = flag;
    }
    
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("postId", getPostId())
            .append("workSpot", getWorkSpot())
            .append("workDuty", getWorkDuty())
            .append("postName", getPostName())
            .append("postSort", getPostSort())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
